--- a/testcases/kernel/mem/hugetlb/hugemmap/hugemmap04.c	2010-04-01 15:23:09.000000000 +0900

+++ b/testcases/kernel/mem/hugetlb/hugemmap/hugemmap04.c	2010-04-16 14:33:44.000000000 +0900

@@ -127,8 +127,7 @@

 

 	/* Check number of hugepages */

 	if (get_no_of_hugepages() <= 0 || hugepages_size() <= 0)

-		tst_brkm(TBROK, cleanup, "Test cannot be continued owning to \

-				sufficient availability of Hugepages on the system");

+		tst_brkm(TCONF, tst_exit, "Not support Hugepages or not enough available Hugepages");

 

 	/* Perform global setup for test */

 	setup();

--- a/testcases/kernel/mem/hugetlb/hugeshmat/hugeshmat01.c	2010-04-01 15:23:09.000000000 +0900

+++ b/testcases/kernel/mem/hugetlb/hugeshmat/hugeshmat01.c	2010-04-16 14:31:56.000000000 +0900

@@ -105,7 +105,7 @@

 	}

 

         if ( get_no_of_hugepages() <= 0 || hugepages_size() <= 0 )

-             tst_brkm(TBROK, cleanup, "Test cannot be continued owning to sufficient availability of Hugepages on the system");

+             tst_brkm(TCONF, tst_exit, "Not support Hugepages or not enough available Hugepages");

         else             

              huge_pages_shm_to_be_allocated = ( get_no_of_hugepages() * hugepages_size() * 1024) / 2 ;

 

--- a/testcases/kernel/mem/hugetlb/hugeshmat/hugeshmat02.c	2010-04-01 15:23:09.000000000 +0900

+++ b/testcases/kernel/mem/hugetlb/hugeshmat/hugeshmat02.c	2010-04-16 14:32:13.000000000 +0900

@@ -102,7 +102,7 @@

 	}

 

         if ( get_no_of_hugepages() <= 0 || hugepages_size() <= 0 )

-             tst_brkm(TBROK, cleanup, "Test cannot be continued owning to sufficient availability of Hugepages on the system");

+             tst_brkm(TCONF, tst_exit, "Not support Hugepages or not enough available Hugepages");

         else             

              huge_pages_shm_to_be_allocated = ( get_no_of_hugepages() * hugepages_size() * 1024) / 2 ;

 

--- a/testcases/kernel/mem/hugetlb/hugeshmat/hugeshmat03.c	2010-04-01 15:23:09.000000000 +0900

+++ b/testcases/kernel/mem/hugetlb/hugeshmat/hugeshmat03.c	2010-04-16 14:32:26.000000000 +0900

@@ -86,7 +86,7 @@

 	}

 

         if ( get_no_of_hugepages() <= 0 || hugepages_size() <= 0 )

-             tst_brkm(TBROK, cleanup, "Test cannot be continued owning to sufficient availability of Hugepages on the system");

+             tst_brkm(TCONF, tst_exit, "Not support Hugepages or not enough available Hugepages");

         else             

              huge_pages_shm_to_be_allocated = ( get_no_of_hugepages() * hugepages_size() * 1024) / 2 ;

 

--- a/testcases/kernel/mem/hugetlb/hugeshmctl/hugeshmctl01.c	2010-04-01 15:23:09.000000000 +0900

+++ b/testcases/kernel/mem/hugetlb/hugeshmctl/hugeshmctl01.c	2010-04-16 14:35:10.000000000 +0900

@@ -130,7 +130,7 @@

 	}

 

         if ( get_no_of_hugepages() <= 0 || hugepages_size() <= 0 )

-             tst_brkm(TBROK, cleanup, "Test cannot be continued owning to sufficient availability of Hugepages on the system");

+             tst_brkm(TCONF, tst_exit, "Not support Hugepages or not enough available Hugepages");

         else             

              huge_pages_shm_to_be_allocated = ( get_no_of_hugepages() * hugepages_size() * 1024) / 2 ;

 

--- a/testcases/kernel/mem/hugetlb/hugeshmctl/hugeshmctl02.c	2010-04-01 15:23:09.000000000 +0900

+++ b/testcases/kernel/mem/hugetlb/hugeshmctl/hugeshmctl02.c	2010-04-16 14:35:21.000000000 +0900

@@ -102,7 +102,7 @@

 	}

 

         if ( get_no_of_hugepages() <= 0 || hugepages_size() <= 0 )

-             tst_brkm(TBROK, cleanup, "Test cannot be continued owning to sufficient availability of Hugepages on the system");

+             tst_brkm(TCONF, tst_exit, "Not support Hugepages or not enough available Hugepages");

         else             

              huge_pages_shm_to_be_allocated = ( get_no_of_hugepages() * hugepages_size() * 1024) / 2 ;

 

--- a/testcases/kernel/mem/hugetlb/hugeshmctl/hugeshmctl03.c	2010-04-01 15:23:09.000000000 +0900

+++ b/testcases/kernel/mem/hugetlb/hugeshmctl/hugeshmctl03.c	2010-04-16 14:35:31.000000000 +0900

@@ -105,7 +105,7 @@

 	}

 

         if ( get_no_of_hugepages() <= 0 || hugepages_size() <= 0 )

-             tst_brkm(TBROK, cleanup, "Test cannot be continued owning to sufficient availability of Hugepages on the system");

+             tst_brkm(TCONF, tst_exit, "Not support Hugepages or not enough available Hugepages");

         else             

              huge_pages_shm_to_be_allocated = ( get_no_of_hugepages() * hugepages_size() * 1024) / 2 ;

 

--- a/testcases/kernel/mem/hugetlb/hugeshmdt/hugeshmdt01.c	2010-04-01 15:23:09.000000000 +0900

+++ b/testcases/kernel/mem/hugetlb/hugeshmdt/hugeshmdt01.c	2010-04-16 14:36:39.000000000 +0900

@@ -87,7 +87,7 @@

 	}

 

         if ( get_no_of_hugepages() <= 0 || hugepages_size() <= 0 )

-             tst_brkm(TBROK, cleanup, "Test cannot be continued owning to sufficient availability of Hugepages on the system");

+             tst_brkm(TCONF, tst_exit, "Not support Hugepages or not enough available Hugepages");

         else             

              huge_pages_shm_to_be_allocated = ( get_no_of_hugepages() * hugepages_size() * 1024) / 2 ;

 

--- a/testcases/kernel/mem/hugetlb/hugeshmget/hugeshmget01.c	2010-04-01 15:23:09.000000000 +0900

+++ b/testcases/kernel/mem/hugetlb/hugeshmget/hugeshmget01.c	2010-04-16 14:38:22.000000000 +0900

@@ -78,14 +78,14 @@

 		tst_brkm(TBROK, cleanup, "OPTION PARSING ERROR - %s", msg);

 	}

 

-	setup();			/* global setup */

-

 	/* The following loop checks looping state if -i option given */

         if ( get_no_of_hugepages() <= 0 || hugepages_size() <= 0 )

-             tst_brkm(TBROK, cleanup, "Test cannot be continued owning to sufficient availability of Hugepages on the system");

+             tst_brkm(TCONF, tst_exit, "Not support Hugepages or not enough available Hugepages");

         else             

               huge_pages_shm_to_be_allocated = ( get_no_of_hugepages() * hugepages_size() * 1024) / 2 ;

         

+	setup();			/* global setup */

+

         for (lc = 0; TEST_LOOPING(lc); lc++) {

 		/* reset Tst_count in case we are looping */

 		Tst_count = 0;

--- a/testcases/kernel/mem/hugetlb/hugeshmget/hugeshmget02.c	2010-04-01 15:23:09.000000000 +0900

+++ b/testcases/kernel/mem/hugetlb/hugeshmget/hugeshmget02.c	2010-04-16 14:38:33.000000000 +0900

@@ -84,7 +84,7 @@

 	}

 

         if ( get_no_of_hugepages() <= 0 || hugepages_size() <= 0 )

-             tst_brkm(TBROK, cleanup, "Test cannot be continued owning to sufficient availability of Hugepages on the system");

+             tst_brkm(TCONF, tst_exit, "Not support Hugepages or not enough available Hugepages");

         else             

              huge_pages_shm_to_be_allocated = ( get_no_of_hugepages() * hugepages_size() * 1024) / 2 ;

   

--- a/testcases/kernel/mem/hugetlb/hugeshmget/hugeshmget03.c	2010-04-01 15:23:09.000000000 +0900

+++ b/testcases/kernel/mem/hugetlb/hugeshmget/hugeshmget03.c	2010-04-16 14:38:49.000000000 +0900

@@ -85,7 +85,7 @@

 

 	/* The following loop checks looping state if -i option given */

         if ( get_no_of_hugepages() <= 0 || hugepages_size() <= 0 )

-             tst_brkm(TBROK, cleanup, "Test cannot be continued owning to sufficient availability of Hugepages on the system");

+             tst_brkm(TCONF, tst_exit, "Not support Hugepages or not enough available Hugepages");

         else             

              huge_pages_shm_to_be_allocated = ( get_no_of_hugepages() * hugepages_size() * 1024) / 2 ;

 

--- a/testcases/kernel/mem/hugetlb/hugeshmget/hugeshmget05.c	2010-04-01 15:23:09.000000000 +0900

+++ b/testcases/kernel/mem/hugetlb/hugeshmget/hugeshmget05.c	2010-04-16 14:39:00.000000000 +0900

@@ -86,7 +86,7 @@

 	}

 

         if ( get_no_of_hugepages() <= 0 || hugepages_size() <= 0 )

-             tst_brkm(TBROK, cleanup, "Test cannot be continued owning to sufficient availability of Hugepages on the system");

+             tst_brkm(TCONF, tst_exit, "Not support Hugepages or not enough available Hugepages");

         else             

              huge_pages_shm_to_be_allocated = ( get_no_of_hugepages() * hugepages_size() * 1024) / 2 ;

        

